Authors: Mattia Basaglia

# Canvas

The canvas is the main drawing area in Glaxnimate.

![The canvas](/img/screenshots/main_window/canvas.png)

## Tools

Each [tool](tools.md) has its own set of features and interactions,
see [their documentation](tools.md) for details.

## Moving around

All movement interactions are done with the middle mouse button / mouse wheel.


### Panning

Drag while holding the mouse middle button to pan.

### Zooming

You can scroll with the mouse wheel to zoom in and out,
alternatively hold Ctrl and drag up and down with the middle mouse button.

### Rotating

If you hold Shift while dragging with the middle mouse button, you can rotate the canvas.

### Finer control

![Transform Widget](/img/screenshots/main_window/transform_widget.png)

At the bottom of the window, you have finer controls for the view, they are described as follows:

* <img src="/img/ui/icons/zoom-fit-best.svg" width="32"> "Fit View" button:
  resets the view and shows the entire canvas.
* "Zoom" spin box:
  allows to see and change the zoom level.
* <img src="/img/ui/icons/zoom-in.svg" width="32"> "Zoom In" button:
  increases the zoom level.
* <img src="/img/ui/icons/zoom-out.svg" width="32"> "Zoom In" button:
  decreases the zoom level.
* <img src="/img/ui/icons/zoom-original.svg" width="32"> "Reset Zoom" button:
  resets the zoom to 100%, without affecting panning or rotation.
* "Angle" spin box:
  allows to see and change the canvas rotation.
* <img src="/img/ui/icons/rotation-allowed.svg" width="32"> "Reset Rotation" button:
  resets the angle to 0, without affecting panning or zoom.



