Authors: Mattia Basaglia


# Settings Dialog

## User Interface

![settings dialog](/img/screenshots/dialogs/settings/ui.png)

* Language: Changes the interface language
* Icon Theme: Changes the icon theme, it lists all the detected system themes
  plus *Default*. With *Default* Glaxnimate will select the icons based on
  the widget theme (ie: if you have a dark theme it will show bright icons).

## New Animation Defaults

![settings dialog](/img/screenshots/dialogs/settings/defaults.png)

This select the defaults for when you create a new file.

## Open Save

![settings dialog](/img/screenshots/dialogs/settings/open_save.png)

* Max Recent Files: How many items to show in the *File* > *Open Recent* menu.
* Backup Frequency: Number of minutes between automatic backup saves. Set to 0 to disable.

## Toolbars

![settings dialog](/img/screenshots/dialogs/settings/toolbars.png)

Allows the user to change the toolbar appearance.

## Plugins

![settings dialog](/img/screenshots/dialogs/settings/plugins.png)

Here it shows all the available plugins and you can enable or disable them.

## Clipboard

![settings dialog](/img/screenshots/dialogs/settings/clipboard.png)

Here you can select what is going to be supported when copying / pasting shapes.

* Glaxnimate Animation: Always active, to copy within Glaxnimate.
* SVG: Copy/Paste SVG, works well with [Inkscape](https://inkscape.org/)
* Raster Image: Copy only, the selection will be rendered as an image you can
  paste on image editing software.
* JSON: Copy only, the selection will be copied as text, with the contents as if
  saved as a Glaxnimate file.

## Widget Theme

![settings dialog](/img/screenshots/dialogs/settings/theme.png)

Here you can select the interface theme colors.

You can select a preset, or create your own style.

## Keyboard Shortcuts

![settings dialog](/img/screenshots/dialogs/settings/keyboard.png)

Here you can assign keyboard shortcuts for the various menu actions.
